Snapshot del cliente
curl --request GET \
--url https://backend.trilly.chat/api/client/{id_client}/snapshotimport requests
url = "https://backend.trilly.chat/api/client/{id_client}/snapshot"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://backend.trilly.chat/api/client/{id_client}/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.trilly.chat/api/client/{id_client}/snapshot",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.trilly.chat/api/client/{id_client}/snapshot"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.trilly.chat/api/client/{id_client}/snapshot")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.trilly.chat/api/client/{id_client}/snapshot")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"account_name": "prova ros",
"login": "provaros@mail.com",
"phone": "1",
"connection_type": "Socket",
"profile": "Fase di Test",
"credits": "Messaggi Residui: 10",
"refill_period": "Annuale",
"expiration_date": "2025-03-15",
"active_features": [
"Singolo messaggio",
"Gestione Sequenze",
"Invio Massivo",
"Volantino",
"Autorisponditore",
"Importa/Esporta"
]
}Impostazioni
Snapshot Cliente
Restituisce una panoramica istantanea dell’account cliente: nome, login, telefono, tipologia di connessione, profilo, crediti, periodo di refill, data di scadenza e funzionalità attive.
GET
/
api
/
client
/
{id_client}
/
snapshot
Snapshot del cliente
curl --request GET \
--url https://backend.trilly.chat/api/client/{id_client}/snapshotimport requests
url = "https://backend.trilly.chat/api/client/{id_client}/snapshot"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://backend.trilly.chat/api/client/{id_client}/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.trilly.chat/api/client/{id_client}/snapshot",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.trilly.chat/api/client/{id_client}/snapshot"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.trilly.chat/api/client/{id_client}/snapshot")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.trilly.chat/api/client/{id_client}/snapshot")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"account_name": "prova ros",
"login": "provaros@mail.com",
"phone": "1",
"connection_type": "Socket",
"profile": "Fase di Test",
"credits": "Messaggi Residui: 10",
"refill_period": "Annuale",
"expiration_date": "2025-03-15",
"active_features": [
"Singolo messaggio",
"Gestione Sequenze",
"Invio Massivo",
"Volantino",
"Autorisponditore",
"Importa/Esporta"
]
}Path Parameters
ID del cliente.
Query Parameters
Chiave API del partner.
Response
200 - application/json
OK
Nome dell'account cliente.
Email di login del cliente.
Numero di telefono del cliente.
Tipologia di connessione (Socket|Send_app|Official).
Profilo account (Account gratuito|Fase di Test|Subscription Mensile|Subscription Annuale).
Crediti residui oppure 'Illimitati'.
Periodo di refill (Nessuno|Mensile|Annuale).
Data di scadenza (YYYY-MM-DD) o null.
Elenco delle funzionalità attive.

